Skip to main content
GET
/
releases
Get release notes
curl --request GET \
  --url https://api.comfy.org/releases
import requests

url = "https://api.comfy.org/releases"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.comfy.org/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "content": "<string>",
    "id": 123,
    "published_at": "2023-11-07T05:31:56Z",
    "version": "<string>"
  }
]
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Query Parameters

project
enum<string>
required

The project to get release notes for

Available options:
comfyui,
comfyui_frontend,
desktop,
cloud
current_version
string

The current version to filter release notes

locale
enum<string>
default:en

The locale for the release notes

Available options:
en,
es,
fr,
ja,
ko,
ru,
zh
form_factor
string

The platform requesting the release notes

Response

Release notes retrieved successfully

attention
enum<string>
required

The attention level for this release

Available options:
low,
medium,
high
content
string
required

The content of the release note in markdown format

id
integer
required

Unique identifier for the release note

project
enum<string>
required

The project this release note belongs to

Available options:
comfyui,
comfyui_frontend,
desktop,
cloud
published_at
string<date-time>
required

When the release note was published

version
string
required

The version of the release